<div id="<?php echo  $this->service->add_namespace('payment', '-'); ?>">
	<?php
	define('DONOTCACHEPAGE', true);
	// Get options required to build payment block. Note use of get_bool_option - when in the weblink,
	// payment_by_invoice and payment_by_cc can be the strings 'true' or 'false.'
	$payment_by_invoice = $this->service->get_bool_option('payment_by_invoice', 'checkout');
	$payment_by_cc = $this->service->get_bool_option('payment_by_cc', 'checkout');

	$invoice_instructions = $this->service->get_option('invoice_instructions', 'checkout');
	$cc_instructions = $this->service->get_option('cc_instructions', 'checkout');
	?>

	<?php if ($payment_by_invoice && $payment_by_cc && (!$is_event_free) ) { ?>
	<h2><?php $this->service->echo_text('Payment Options'); ?></h2>
	<p><?php $this->service->echo_text('Please select your method of payment:'); ?></p>
	<div class="<?php echo  $this->service->add_namespace('accordion', '-'); ?>">
		<?php } else { ?>
			<h2>
				<?php

				echo $is_event_free
					? $this->service->get_text('Confirmation')
					: $this->service->get_text('Payment');

				?>
			</h2>
		<?php } ?>

		<?php if ($payment_by_invoice || $is_event_free ) { ?>
			<?php if ($payment_by_cc && (!$is_event_free) ) { ?>
				<h3><?php $this->service->echo_text('Pay By Invoice'); ?></h3>
			<?php } ?>

			<?php if(!$is_event_free) { ?>
				<p><?php $this->service->echo_text('To pay by invoice, please click "'.$submit_text.'" to complete your transaction.'); ?></p>
				<p><?php echo $invoice_instructions; ?></p>
				<address><?php echo nl2br($billing_address); ?></address>
			<?php } ?>

			<p>
				<?php
				$this->service->echo_text('By clicking');
				echo  ' "'.$submit_text.'" ';
				$this->service->echo_text('you confirm that you are authorised to place this order and agree to and accept our Terms &amp; Conditions.');
				?>
			</p>

			<input type="hidden"
			       name="pay_by_invoice_selected"
			       id="<?php echo $this->service->add_namespace('pay_by_invoice_field', '-'); ?>"
			       value="0"
			>

			<button name="pay_by_invoice"
			        id="<?php echo $this->service->add_namespace('pay_by_invoice_button', '-'); ?>"
			        class="<?php echo $this->service->add_namespace('btn', '-'); ?>"
			>
				<?php echo $submit_text; ?>
			</button>

			<br style="clear:both;">
		<?php } ?>

		<?php if ($payment_by_cc && (!$is_event_free) ) { ?>
			<?php if($payment_by_invoice) { ?>
				<h4><?php $this->service->echo_text('Pay by Credit Card'); ?></h4>
			<?php } ?>

			<p><?php echo $cc_instructions; ?></p>
			<?php $this->display_payment_form(); ?>
		<?php } ?>

		<?php if($payment_by_invoice && $payment_by_cc) { ?>
	</div>
<?php } ?>

</div>
