<?php
$defaultCurrency = $this->plugin->get_option('currency', 'pricing');
?>
<div id="<?php echo  $this->add_namespace('', '-'); ?>" class="<?php echo  $this->plugin->add_namespace('widget', '-'); ?>">

	<h2><?php echo  $this->event->get_course_title(); ?>: <span><?php echo  $this->plugin->t_dates($this->event->get_dates()); ?></span></h2>
	
	<?php include($this->plugin->get_path('/views/public/course_fields.php')); ?>
	
	<ul class="<?php echo  $this->add_namespace('menu', '-'); ?>">
		<li class="<?php echo  $this->plugin->add_namespace('back', '-'); ?>"><a href="<?php echo  get_permalink($registrationPage); ?>"><?php _e('Go Back', 'administrate'); ?></a></li>
		<?php if ( !empty($registrationPage) 
			&& ( $this->event->get_num_places() > 0 ) 
			&& is_object($this->event->get_price_by_currency($defaultCurrency)) 
		){ ?>
			<li class="<?php echo  $this->plugin->add_namespace('register', '-'); ?>"><a href="<?php echo  $this->plugin->get_registration_url($this->event->get_id()); ?>"><?php _e('Register Now', 'administrate'); ?></a></li>
		<?php } ?>
	</ul>

</div>
