<?php
/*
	Plugin Name:	Administrate
	Plugin URI:		http://www.GetAdministrate.com/
	Description:	A plugin to integrate event listing, details & ordering with the Administrate backend.
	Version:		4.6.34
	Author:			Administrate
	Author URI:		http://www.GetAdministrate.com/
	Text Domain:	administrate
	License:		GPL2
*/

/*
	Copyright 2013  Eaglewood System Ltd

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

//  Get access to wordpress database abstraction
global $wpdb;

$plugin_path = dirname(__FILE__);

//  Include the configuration variables ($_ADMINISTRATE_CONFIG)
require_once($plugin_path . '/wordpress-components/config.php');
$_ADMINISTRATE_CONFIG['plugin']['file'] = __FILE__;
$_ADMINISTRATE_CONFIG['plugin']['url'] = plugin_dir_url(__FILE__);

//  Include plugin update checker
require_once($plugin_path . '/wordpress-components/updater/plugin-update-checker.php');
$updateChecker = new PluginUpdateChecker(
	$_ADMINISTRATE_CONFIG['plugin']['urls']['update'],
	__FILE__,
	'administrate'
);

//  Include Administrate plugin
require_once($plugin_path . "/common/administrate-common.php");
require_once($plugin_path . "/wordpress-components/AdministrateWordpressDB.php");
require_once($plugin_path . "/wordpress-components/AdministrateWordpressMonitor.php");
require_once($plugin_path . "/wordpress-components/AdministratePlugin.php");

global $_ADMINISTRATE_CONFIG;

$_ADMINISTRATE = new AdministratePlugin($_ADMINISTRATE_CONFIG, $wpdb, $_ADMINISTRATE_CONFIG['plugin']['debug']);
global $_ADMINISTRATE;
