<?php 
/*
	Event slider template
*/
?>
<div class="administrate-event-slider-out">
<div id="administrate-event-slider2" class="administrate-event-slider2 administrate-widget" data-slides-per-group="<?php echo  $group_size; ?>">
	
	<?php /* Currency List*/ ?>
	
	<?php if( $currency_list ) { ?>
	<form>
		<select name="administrate-currency-select" id="administrate-currency-select" class="administrate-currency-select">
			<option value="all">All Currencies</option>
			
			<?php foreach( $currency_list as $currency_name => $processor_name) { ?>
				<option value="<?php echo $currency_name?>"><?php echo $currency_name?></option>
			<?php } ?>
				
		</select>
	</form>
	<?php } ?>
	
	<?php /* Slider Content */ ?>
	
	<ul class="administrate-event-slider2-content">
		<?php foreach( $event_list as $event ) { ?>
			
			<?php
				extract( $this->event_data($event) );
			
				if( $months_until_start > $num_months ) { 
					continue;
				}
			?>
			
			<li data-event-id="<?php echo  $event->get_id(); ?>"
				data-event-currencies="<?php echo  $currencies_str ?>"
				data-event-default-currency="<?php echo  $event_currency ?>">
				<?php include( $this->service->get_widget_dir(). "/event.php" ); ?>
			</li>
			
		<?php } ?>
	</ul>
	
	<?php /* Slider navigation */ ?>
	<div class="administrate-event-slider2-nav">
		<a href="" class="prev" title="Previous page"><span>&lsaquo;</span></a>
		<a href="" class="next" title="Next page"><span>&rsaquo;</span></a>
	</div>
</div>

<?php /* Event sessions */ ?>

<?php foreach( $event_list as $event ) { if($event->is_multi_session()) {  ?>
<div class="administrate-session-container" id="sessions-<?php echo  $event->get_id(); ?>">
	<?php include( $this->service->get_widget_dir(). "/event_sessions.php" ); ?>
</div>
<?php }} ?>
</div>