<div id="administrate-event-lister" class="administrate-widget">
	<?php include($this->get_file_path("new_options_form.php")); ?>
	<ul class='events-container'>
		<?php foreach ($event_list as $event): ?>
			<?php
			extract($this->event_data($event));
			if ($months_until_start > $num_months) {
				continue;
			}
			?>
			<?php $course_widget_url = $this->service->get_widget_url_course($event->get_course_code()); ?>
			<li
					data-event-id="<?php echo $event->get_id(); ?>"
					data-categories="<?php echo $categories_str; ?>"
					data-subcategories="<?php echo $subcategories_str; ?>"
					data-num-months="<?php echo $months_until_start; ?>"
					data-location="<?php echo $event->get_location(); ?>"
					data-currencies="<?php echo $currencies_str ?>"
					data-event-default-currency="<?php echo $event_currency ?>"
			>
				<div class='event-content'>
					<?php $show_locations = $show_dates = true; ?>
					<?php include($this->service->get_widget_dir() . "/list-event.php"); ?>
					<?php if ($event->is_multi_session()): ?>
						<span class="administrate-more-info">Show sessions</span>
						<div class="administrate-session-container sessions-<?php echo $event->get_id(); ?>">
							<?php include($this->service->get_widget_dir() . "/list-event-sessions.php"); ?>
						</div>
			<?php endif; /* Registration link */ ?>
			<div class="slide-register" >
					<?php include( $this->service->get_widget_dir(). "/registration.php" ); ?>
			</div>
			<div class="event-registration">
				<?php include( $this->service->get_widget_dir(). "/registration.php" ); ?>
			</div>
			</div>
		</li>
	<?php endforeach; ?> 
	</ul>
	<?php if (count($event_list) === 0): ?>
		<div class="administrate-no-rows"><?php echo $no_events_message; ?></div>
	<?php endif; ?>

	<?php /* Page navigation */ ?>

	<?php if ($group_size > 0) { ?>
		<div id="administrate-event-table-pager">
			<a href="#" class="administrate-event-table-pager-first"
			   title="<?php $this->service->echo_text('first group'); ?>">&laquo;</a>
			<a href="#" class="administrate-event-table-pager-previous"
			   title="<?php $this->service->echo_text('previous group'); ?>">&lsaquo;</a>
			<span class="administrate-event-table-pager-status"></span>
			<a href="#" class="administrate-event-table-pager-next"
			   title="<?php $this->service->echo_text('next group'); ?>">&rsaquo;</a>
			<a href="#" class="administrate-event-table-pager-last"
			   title="<?php $this->service->echo_text('last group'); ?>">&raquo;</a>
		</div>
	<?php } ?>
	<?php include($this->service->get_widget_dir() . "/new-footer.php"); ?>
</div>
