$("#objective-select").change(function(){
	$('.administrate-learning-path-objectives').hide();
	var value = $("#objective-select").val();
	var tableToShow = $('#objective-table-' + value);
	tableToShow.show();
});

function updateObjectivesOnForm() {
	var objectives = [];
	$('.event-objective-selection').each(function (index, value) {
		var eventId = value.value;
		var objectiveId = value.id.substring(10);
		if (eventId != "" && eventId != null) {
			objectives.push(objectiveId + '-' + eventId);
		}
	});
	$('#path_objectives').val(objectives);
}

function updateRegisterNowLink() {
	var registerNow = $('#track_register_now_link');
	var baseUrl = $('#learning_path_register_url').val();
	var objectives = $('#path_objectives').val();
	if (objectives != "" && objectives != null) {
		var updatedUrl = baseUrl + '&objectives=' + objectives;
		registerNow.prop("href", updatedUrl)
	}
}

function setDropDownSelectedFlag(objectiveId) {
	var select = $('#objective-select-' + objectiveId);
	if (select.text().indexOf('Selected') === -1) {
		select.text(select.text() + ' - Selected');
	}
}
function updateEventIDSelection(objectiveId, eventId) {
	var input = $('#selection-' + objectiveId);
	input.val(eventId);
}
function selectEvent(objectiveId, eventId) {
	updateEventIDSelection(objectiveId, eventId);
	setDropDownSelectedFlag(objectiveId);
	updateObjectivesOnForm();
	updateRegisterNowLink();
}
