# Administrate Weblink Tests

## Run Unit Tests

Install PHPUnit on dev server:

    wget https://phar.phpunit.de/phpunit.phar
    chmod +x phpunit.phar

Run the test suite:

    ./phpunit.phar tests/unit/

## Run Selenium Tests

Stage test_demo_db to dev:
	zcat demo_db_for_test.sql.gz | /bin/sed -e 's@DEFINER=[^ ]*@DEFINER=CURRENT_USER@' | mysql cbf

Run mysql cbf < run_on_demo.sql

Run migrations

Add API key for 
	api key: demo
	username: demo@getadministrate.com
	password: demo
	eg: INSERT INTO wl_api_keys values (null, 'demo','http://cbf.dev2.eglwd.net/wsdl/publicxml1.6.wsdl', 'demo@getadministrate.com', 'demo');

Copy test HTML files to test url

Modify weblink URL in weblink-script.php

Install Firefox Selenium IDE

Open Selenium IDE

Set base url as dev website url

Download tests

Run tests
