<?php
//  Include required classes
if(!class_exists('AdministrateDao')) {
	require_once('AdministrateDao.php');
}

//  Administrate checkout widget log
class AdministrateWidgetCheckoutLog extends AdministrateDao {
	
	//  Properties
	protected $tableKey = 'logs';
	protected $primaryKey = 'log_id';
	protected $apiKeyField = 'log_api_key';

	//  Create a new order
	public function create($msg, $order_id, $dummy_field2=null) {
		$fields = array(
			'log_msg'		=>	$msg . ' (IP: ' . $_SERVER['REMOTE_ADDR']. ')',
			'log_order_id'	=>	$order_id,
			'log_time'		=>	time()
		);
		$this->save($fields, true);
	}

	//  Get the log time
	public function get_time() {
		return $this->row['log_time'];	
	}
	
	//  Get the log message
	public function get_message() {
		return $this->row['log_msg'];	
	}
	
}