<?php
$tmpField = $this->plugin->get_option_field($field['key'], $field['groupKey']);
$values = get_option($field['optionsKey']);
?>

<table class="error_messages wp-list-table widefat" cellspacing="0">
	<thead>
		<tr>
			<th class="manage-column"><?php _e('Error', 'administrate'); ?></th>
			<th class="manage-column"><?php _e('Label', 'administrate'); ?></th>
			<th class="manage-column"><?php _e('Notes', 'administrate'); ?></th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<th class="manage-column"><?php _e('Error', 'administrate'); ?></th>
			<th class="manage-column"><?php _e('Label', 'administrate'); ?></th>
			<th class="manage-column"><?php _e('Notes', 'administrate'); ?></th>
		</tr>
	</tfoot>
	<tbody>
		<?php if (isset($tmpField['fields'])) { ?>
			<?php $alt = false; ?>
			<?php foreach ($tmpField['fields'] as $key=>$properties) { ?>
				<?php 
				$option = $field['key'] . $this->plugin->get_key_delimiter() . $key; 
				$alt = !$alt;

				// Insert default value into fields if no value record exists
				if( !array_key_exists($option, $values) ) {
					$values[$option] = $properties["default"];
				}

				?>
				<tr<?php if ($alt) { ?> class="alternate"<?php } ?>>
					<th scope="row"><label for="<?php echo  $option; ?>"><?php echo  $properties['label']; ?></label></th>
					<td>
						<input 
							type="text" 
							name="<?php echo  $field['optionsKey']; ?>[<?php echo  $option; ?>]" 
							value="<?php echo  $values[$option]; ?>" 
							id="<?php echo  $option; ?>" 
							<?php if (array_key_exists('max_length', $properties)) { ?>
								maxlength=""
							<?php } ?>
						></td>
					<td><?php echo  $properties['hint']; ?></td>
				</tr>
			<?php } ?>
		<?php } ?>
	</tbody>
</table>
